%define	name	xmms
%define	version	1.2.3
%define	release	1
%define	serial	1

## Check to see if libGL is installed. Build xmms-mesa if it is.
%define withGL	%(if [ -z "`rpm -q --whatprovides libGL.so.1 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libmikmod is installed. Build xmms-mikmod if it is.
%define withmm	%(if [ -z "`rpm -q --whatprovides libmikmod.so.2 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Funky hack to get package names that provide libmikmod and libmikmod-config
## Becuase of the differing package names between redhat, mandrake, etc.
%if %{withmm} == 1
%define mikmod	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$` |sed 's/-devel//g')
%define mmdev	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$`)
%endif

Summary:	XMMS - Multimedia player for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Multimedia
Vendor:		XMMS Development Team <bugs@xmms.org>
Url:		http://www.xmms.org/
Source:		%{name}-%{version}.tar.gz
Source1:	xmms.desktop
Source101:	xmms.xpm
Source100:	xmms-1.2.1.ja.po
Patch:		xmms-1.2.2-install.patch
Patch1:		xmms-1.2.3-audio.patch
Patch2:		xmms-pluggedup.patch
Patch3:		xmms-workaround.patch
Patch4: xmms-1.2.0-buildroot.patch
Patch5:		xmms-lazy.patch
Patch6: xmms-1.2.3-small.patch
Patch7:		mpg123-alpha.patch
Patch200:	xmms-fixinstdir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	x11amp, x11amp0.7-1-1
Requires:	gtk+ >= 1.2.2
Prefix:		%{_prefix}

%description
X MultiMedia System is a sound player written from scratch. Since it 
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

%package	devel
Summary:	XMMS - Static libraries and header files.
Group:		Applications/Multimedia
Obsoletes:	x11amp-devel
Requires:	%{name} = %{version}, glib-devel >= 1.2.2, gtk+-devel >= 1.2.2

%description	devel
Static libraries and header files required for compiling xmms plugins.

%package	esd
Summary:	XMMS - Output plugin for use with the esound package.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}
Obsoletes:	x11amp-esd
Requires:	esound >= 0.2.8

%description	esd
Output plugin for xmms for use with the esound package

%package	gnome
Summary:	XMMS - applet for controlling xmms from the GNOME panel.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}
Obsoletes:	x11amp-gnome
Requires:	gnome-libs >= 1.0.0

%description	gnome
GNOME applet for controlling xmms from the GNOME panel

%if %{withmm} == 1
%package	mikmod
Summary:	XMMS - Input plugin to play MODs.
Group:		Applications/Multimedia
Obsoletes:	x11amp-mikmod
Requires:	%{name} = %{version}
Requires:       %{mikmod} >= 3.1.6
BuildPrereq:    %{mmdev}

%description	mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)
%endif

%if %{withGL} == 1
%package 	mesa
Summary:	XMMS - Visualization plugins that use the Mesa3d library.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description	mesa
Visualization plugins that use the Mesa3d library.
%endif

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .audio
%patch2 -p1 -b .pluggedup
%patch3 -p1 -b .blarg
%patch4 -p1 -b .buildroot
%patch5 -p1 -b .lazy
%patch6 -p1 -b .small
pushd Input/mpg123
%patch7 -p1 -b .alpha
popd
%patch200 -p1 -b .fixinstdir
automake

%build
unset LINGUAS || :;

%configure --enable-kanji --enable-texthack --enable-transparenthack
make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot}

#mkdir -p %{buildroot}%{sysconfdir}/X11/applnk/Multimedia/
mkdir -p %{buildroot}/etc/X11/applnk/Multimedia/
install -m 644 $RPM_SOURCE_DIR/xmms.desktop \
 %{buildroot}/etc/X11/applnk/Multimedia

mkdir -p %{buildroot}/etc/X11/wmconfig
install -m 644 xmms/xmms.wmconfig \
 %{buildroot}/etc/X11/wmconfig/xmms

mkdir -p %{buildroot}%{_datadir}/pixmaps/mini
install xmms/xmms_logo.xpm %{buildroot}%{_datadir}/pixmaps
install xmms/xmms_mini.xpm %{buildroot}%{_datadir}/pixmaps/mini


%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config /etc/X11/wmconfig/xmms
%config /etc/X11/applnk/Multimedia/xmms.desktop
%{_bindir}/xmms
%{_bindir}/wmxmms
%{_libdir}/libxmms.so.*
%{_libdir}/xmms/Input/libcdaudio*
%{_libdir}/xmms/Input/libidcin*
%{_libdir}/xmms/Input/libmpg123*
%{_libdir}/xmms/Input/libtonegen*
%{_libdir}/xmms/Input/libwav*
%{_libdir}/xmms/Output/libOSS*
%{_libdir}/xmms/Output/libdisk_writer*
%{_libdir}/xmms/General/*
%{_libdir}/xmms/Effect/*
%{_libdir}/xmms/Visualization/libbscope*
%{_libdir}/xmms/Visualization/libsanalyzer*
%{_datadir}/xmms/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/xmms_logo.xpm
%{_datadir}/pixmaps/mini/xmms_mini.xpm

%files devel
%defattr(-, root, root)
%{_bindir}/xmms-config
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*
%{_datadir}/aclocal/xmms.m4

%files esd
%defattr(-, root, root)
%{_libdir}/xmms/Output/libesdout*

%files gnome
%defattr(-, root, root)
%{_bindir}/gnomexmms
/etc/CORBA/servers/gnomexmms.gnorba
%{_datadir}/applets/Multimedia/gnomexmms.desktop

%if %{withmm} == 1
%files mikmod
%defattr(-, root, root)
%{_libdir}/xmms/Input/libmikmod*
%endif

%if %{withGL} == 1
%files mesa
%defattr(-, root, root)
%{_libdir}/xmms/Visualization/libogl_spectrum*
%endif

%changelog
* Thu Nov  2 2000 Peter Hanecak <hanecak@megaloman.sk>
  [xmms-1.2.3-1]
- spec tweaked
- merged some stuff from RedHat's xmms-1.2.3-2 package

* Mon Jul 17 2000 Peter Hanecak <hanecak@megaloman.sk>
  [xmms-1.2.2-2]
- %%{_tmppath} used
- changes to allow non-root users to build too

* Tue Jul 11 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-1.2.2-1]
- Bugfixes.
- Updates to the song change plugin.

